%global enable_tests 1
%global module_name process-nextick-args


Name:           nodejs-%{module_name}
Version:        1.0.7
Release:        5%{?dist}
Summary:        The process.nextTick() but always with args

License:        MIT
URL:            https://github.com/calvinmetcalf/process-nextick-args
Source0:        https://github.com/calvinmetcalf/%{module_name}/archive/v%{version}/%{module_name}-%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

%description
Always be able to pass arguments to process.nextTick, no matter the platform.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license.md
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 09 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0.7-1
- Update to 1.0.7

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 1.0.6-1
- Update to 1.0.6 upstream release

* Fri Jul 17 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- Initial packaging (added license now)

* Thu Jul 16 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- Initial packaging

